<?php
/**
 * @file
 * erpal_field_pricing.features.field_instance.inc
 */

/**
 * Implements hook_field_default_field_instances().
 */
function erpal_field_pricing_field_default_field_instances() {
  $field_instances = array();

  // Exported field_instance: 'field_collection_item-field_pricing-field_budget_time_billing'
  $field_instances['field_collection_item-field_pricing-field_budget_time_billing'] = array(
    'bundle' => 'field_pricing',
    'default_value' => array(
      0 => array(
        'value' => 'billable',
      ),
    ),
    'deleted' => 0,
    'description' => 'Choose if timetrackings are billable within a budget or not. If not they will only billed if budget is empty and there is a price set.',
    'display' => array(
      'default' => array(
        'label' => 'above',
        'module' => 'list',
        'settings' => array(),
        'type' => 'list_default',
        'weight' => 9,
      ),
      'in_pane' => array(
        'label' => 'above',
        'module' => 'list',
        'settings' => array(),
        'type' => 'list_default',
        'weight' => 9,
      ),
    ),
    'entity_type' => 'field_collection_item',
    'field_name' => 'field_budget_time_billing',
    'label' => 'Budget time billing',
    'required' => 1,
    'settings' => array(
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'active' => 1,
      'module' => 'options',
      'settings' => array(),
      'type' => 'options_select',
      'weight' => 5,
    ),
  );

  // Exported field_instance: 'field_collection_item-field_pricing-field_budgets'
  $field_instances['field_collection_item-field_pricing-field_budgets'] = array(
    'bundle' => 'field_pricing',
    'default_value' => NULL,
    'default_value_function' => 'entityreference_prepopulate_field_default_value',
    'deleted' => 0,
    'description' => '',
    'display' => array(
      'default' => array(
        'label' => 'above',
        'module' => 'erpal_basic_helper',
        'settings' => array(
          'link' => 1,
        ),
        'type' => 'entityreference_typed_label',
        'weight' => 8,
      ),
      'full' => array(
        'label' => 'above',
        'module' => 'erpal_basic_helper',
        'settings' => array(
          'link' => FALSE,
        ),
        'type' => 'entityreference_typed_label',
        'weight' => 8,
      ),
      'in_pane' => array(
        'label' => 'above',
        'module' => 'erpal_basic_helper',
        'settings' => array(
          'link' => FALSE,
        ),
        'type' => 'entityreference_typed_label',
        'weight' => 8,
      ),
    ),
    'ds_extras_field_template' => '',
    'entity_type' => 'field_collection_item',
    'field_name' => 'field_budgets',
    'label' => 'Budgets',
    'required' => 0,
    'settings' => array(
      'behaviors' => array(
        'prepopulate' => array(
          'action' => 'hide',
          'fallback' => 'redirect',
          'skip_perm' => 0,
          'status' => 1,
        ),
      ),
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'active' => 1,
      'module' => 'entityreference',
      'settings' => array(
        'match_operator' => 'CONTAINS',
        'path' => '',
        'references_dialog_add' => 1,
        'references_dialog_edit' => 0,
        'references_dialog_search' => 0,
        'references_dialog_search_view' => '',
        'size' => 60,
      ),
      'type' => 'entityreference_autocomplete',
      'weight' => 4,
    ),
  );

  // Exported field_instance: 'field_collection_item-field_pricing-field_buy_currency'
  $field_instances['field_collection_item-field_pricing-field_buy_currency'] = array(
    'bundle' => 'field_pricing',
    'default_value' => NULL,
    'deleted' => 0,
    'description' => '',
    'display' => array(
      'default' => array(
        'label' => 'above',
        'module' => 'list',
        'settings' => array(),
        'type' => 'list_default',
        'weight' => 7,
      ),
      'full' => array(
        'label' => 'above',
        'module' => 'list',
        'settings' => array(),
        'type' => 'list_default',
        'weight' => 7,
      ),
      'in_pane' => array(
        'label' => 'above',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 0,
      ),
    ),
    'entity_type' => 'field_collection_item',
    'field_name' => 'field_buy_currency',
    'label' => 'Purchase currency',
    'required' => 0,
    'settings' => array(
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'active' => 1,
      'module' => 'options',
      'settings' => array(),
      'type' => 'options_select',
      'weight' => 10,
    ),
  );

  // Exported field_instance: 'field_collection_item-field_pricing-field_buy_price'
  $field_instances['field_collection_item-field_pricing-field_buy_price'] = array(
    'bundle' => 'field_pricing',
    'default_value' => NULL,
    'deleted' => 0,
    'description' => 'The fixed price for the purchase',
    'display' => array(
      'default' => array(
        'label' => 'above',
        'module' => 'number',
        'settings' => array(
          'decimal_separator' => '.',
          'prefix_suffix' => TRUE,
          'scale' => 2,
          'thousand_separator' => ' ',
        ),
        'type' => 'number_decimal',
        'weight' => 6,
      ),
      'full' => array(
        'label' => 'above',
        'module' => 'number',
        'settings' => array(
          'decimal_separator' => '.',
          'prefix_suffix' => TRUE,
          'scale' => 2,
          'thousand_separator' => ' ',
        ),
        'type' => 'number_decimal',
        'weight' => 6,
      ),
      'in_pane' => array(
        'label' => 'above',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 0,
      ),
    ),
    'entity_type' => 'field_collection_item',
    'field_name' => 'field_buy_price',
    'label' => 'Purchase Price',
    'required' => 0,
    'settings' => array(
      'max' => '',
      'min' => '',
      'prefix' => '',
      'suffix' => '',
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'active' => 0,
      'module' => 'number',
      'settings' => array(),
      'type' => 'number',
      'weight' => 8,
    ),
  );

  // Exported field_instance: 'field_collection_item-field_pricing-field_buy_vat_rate'
  $field_instances['field_collection_item-field_pricing-field_buy_vat_rate'] = array(
    'bundle' => 'field_pricing',
    'default_value' => NULL,
    'deleted' => 0,
    'description' => '',
    'display' => array(
      'default' => array(
        'label' => 'above',
        'module' => 'list',
        'settings' => array(),
        'type' => 'list_default',
        'weight' => 4,
      ),
      'full' => array(
        'label' => 'above',
        'module' => 'list',
        'settings' => array(),
        'type' => 'list_default',
        'weight' => 4,
      ),
      'in_pane' => array(
        'label' => 'above',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 0,
      ),
    ),
    'entity_type' => 'field_collection_item',
    'field_name' => 'field_buy_vat_rate',
    'label' => 'Purchase Tax - VAT',
    'required' => 0,
    'settings' => array(
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'active' => 1,
      'module' => 'options',
      'settings' => array(
        'maxlength_js_label' => 'Content limited to @limit characters, remaining: <strong>@remaining</strong>',
      ),
      'type' => 'options_select',
      'weight' => 9,
    ),
  );

  // Exported field_instance: 'field_collection_item-field_pricing-field_contractor_ref'
  $field_instances['field_collection_item-field_pricing-field_contractor_ref'] = array(
    'bundle' => 'field_pricing',
    'default_value' => NULL,
    'deleted' => 0,
    'description' => 'The contractor for the purchase',
    'display' => array(
      'default' => array(
        'label' => 'above',
        'module' => 'erpal_basic_helper',
        'settings' => array(
          'link' => TRUE,
        ),
        'type' => 'entityreference_typed_label',
        'weight' => 5,
      ),
      'full' => array(
        'label' => 'above',
        'module' => 'erpal_basic_helper',
        'settings' => array(
          'link' => TRUE,
        ),
        'type' => 'entityreference_typed_label',
        'weight' => 5,
      ),
      'in_pane' => array(
        'label' => 'above',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 0,
      ),
    ),
    'entity_type' => 'field_collection_item',
    'field_name' => 'field_contractor_ref',
    'label' => 'Contractor',
    'required' => 0,
    'settings' => array(
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'active' => 1,
      'module' => 'entityreference',
      'settings' => array(
        'match_operator' => 'CONTAINS',
        'path' => '',
        'references_dialog_add' => 0,
        'references_dialog_edit' => 0,
        'references_dialog_search' => 0,
        'references_dialog_search_view' => '',
        'size' => 60,
      ),
      'type' => 'entityreference_autocomplete',
      'weight' => 7,
    ),
  );

  // Exported field_instance: 'field_collection_item-field_pricing-field_currency'
  $field_instances['field_collection_item-field_pricing-field_currency'] = array(
    'bundle' => 'field_pricing',
    'default_value' => NULL,
    'deleted' => 0,
    'description' => 'Add a field for selecting the currency',
    'display' => array(
      'default' => array(
        'label' => 'above',
        'module' => 'list',
        'settings' => array(),
        'type' => 'list_default',
        'weight' => 1,
      ),
    ),
    'entity_type' => 'field_collection_item',
    'field_instance' => array(
      'widget' => array(
        'module' => 'options',
        'settings' => array(),
        'type' => 'options_select',
        'weight' => 4,
      ),
    ),
    'field_name' => 'field_currency',
    'label' => 'Currency',
    'required' => FALSE,
    'settings' => array(
      'allowed_values' => array(),
      'allowed_values_function' => 'erpal_field_pricing_field_currency_allowed_values',
      'user_register_form' => FALSE,
    ),
    'translatable' => 0,
    'type' => 'list_text',
    'widget' => array(
      'module' => 'options',
      'settings' => array(),
      'type' => 'options_select',
      'weight' => 3,
    ),
  );

  // Exported field_instance: 'field_collection_item-field_pricing-field_expense_category'
  $field_instances['field_collection_item-field_pricing-field_expense_category'] = array(
    'bundle' => 'field_pricing',
    'default_value' => NULL,
    'deleted' => 0,
    'description' => '',
    'display' => array(
      'default' => array(
        'label' => 'above',
        'module' => 'taxonomy',
        'settings' => array(),
        'type' => 'taxonomy_term_reference_link',
        'weight' => 14,
      ),
    ),
    'entity_type' => 'field_collection_item',
    'field_name' => 'field_expense_category',
    'label' => 'Expense category',
    'required' => 0,
    'settings' => array(
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'active' => 1,
      'module' => 'options',
      'settings' => array(
        'maxlength_js_label' => 'Content limited to @limit characters, remaining: <strong>@remaining</strong>',
      ),
      'type' => 'options_select',
      'weight' => 11,
    ),
  );

  // Exported field_instance: 'field_collection_item-field_pricing-field_price'
  $field_instances['field_collection_item-field_pricing-field_price'] = array(
    'bundle' => 'field_pricing',
    'default_value' => NULL,
    'deleted' => 0,
    'description' => '',
    'display' => array(
      'default' => array(
        'label' => 'above',
        'module' => 'number',
        'settings' => array(
          'decimal_separator' => '.',
          'prefix_suffix' => TRUE,
          'scale' => 2,
          'thousand_separator' => ' ',
        ),
        'type' => 'number_decimal',
        'weight' => 1,
      ),
      'entityreference_view_widget' => array(
        'label' => 'above',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 0,
      ),
      'full' => array(
        'label' => 'above',
        'module' => 'number',
        'settings' => array(
          'decimal_separator' => '.',
          'prefix_suffix' => TRUE,
          'scale' => 2,
          'thousand_separator' => ' ',
        ),
        'type' => 'number_decimal',
        'weight' => 1,
      ),
      'in_pane' => array(
        'label' => 'above',
        'module' => 'number',
        'settings' => array(
          'decimal_separator' => '.',
          'prefix_suffix' => TRUE,
          'scale' => 2,
          'thousand_separator' => ' ',
        ),
        'type' => 'number_decimal',
        'weight' => 1,
      ),
    ),
    'entity_type' => 'field_collection_item',
    'field_name' => 'field_price',
    'label' => 'Price',
    'required' => FALSE,
    'settings' => array(
      'max' => '',
      'min' => '',
      'prefix' => '',
      'suffix' => '',
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'module' => 'number',
      'settings' => array(),
      'type' => 'number',
      'weight' => 6,
    ),
  );

  // Exported field_instance: 'field_collection_item-field_pricing-field_price_mode'
  $field_instances['field_collection_item-field_pricing-field_price_mode'] = array(
    'bundle' => 'field_pricing',
    'default_value' => array(
      0 => array(
        'value' => 'none',
      ),
    ),
    'deleted' => 0,
    'description' => '',
    'display' => array(
      'default' => array(
        'label' => 'above',
        'module' => 'list',
        'settings' => array(),
        'type' => 'list_default',
        'weight' => 0,
      ),
      'entityreference_view_widget' => array(
        'label' => 'above',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 0,
      ),
      'full' => array(
        'label' => 'above',
        'module' => 'list',
        'settings' => array(),
        'type' => 'list_default',
        'weight' => 0,
      ),
      'in_pane' => array(
        'label' => 'above',
        'module' => 'list',
        'settings' => array(),
        'type' => 'list_default',
        'weight' => 0,
      ),
    ),
    'entity_type' => 'field_collection_item',
    'field_name' => 'field_price_mode',
    'label' => 'Price mode',
    'required' => 1,
    'settings' => array(
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'active' => 1,
      'module' => 'options',
      'settings' => array(),
      'type' => 'options_select',
      'weight' => 1,
    ),
  );

  // Exported field_instance: 'field_collection_item-field_pricing-field_service_category_term'
  $field_instances['field_collection_item-field_pricing-field_service_category_term'] = array(
    'bundle' => 'field_pricing',
    'comment_enabled' => 0,
    'default_value' => NULL,
    'deleted' => 0,
    'description' => '',
    'display' => array(
      'default' => array(
        'label' => 'above',
        'module' => 'taxonomy',
        'settings' => array(),
        'type' => 'taxonomy_term_reference_link',
        'weight' => 10,
      ),
      'in_pane' => array(
        'label' => 'above',
        'settings' => array(),
        'type' => 'hidden',
        'weight' => 0,
      ),
    ),
    'entity_type' => 'field_collection_item',
    'field_name' => 'field_service_category_term',
    'label' => 'Service category',
    'required' => 0,
    'settings' => array(
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'active' => 1,
      'module' => 'options',
      'settings' => array(),
      'type' => 'options_select',
      'weight' => 9,
    ),
  );

  // Exported field_instance: 'field_collection_item-field_pricing-field_vat_rate'
  $field_instances['field_collection_item-field_pricing-field_vat_rate'] = array(
    'bundle' => 'field_pricing',
    'default_value' => NULL,
    'deleted' => 0,
    'description' => 'Vat rate for invoicing',
    'display' => array(
      'default' => array(
        'label' => 'above',
        'module' => 'list',
        'settings' => array(),
        'type' => 'list_default',
        'weight' => 0,
      ),
    ),
    'entity_type' => 'field_collection_item',
    'field_instance' => array(
      'widget' => array(
        'module' => 'options',
        'settings' => array(),
        'type' => 'options_select',
        'weight' => 3,
      ),
    ),
    'field_name' => 'field_vat_rate',
    'label' => 'Tax - VAT',
    'required' => 0,
    'settings' => array(
      'allowed_values' => array(),
      'allowed_values_function' => 'erpal_field_pricing_field_vat_rate_allowed_values',
      'user_register_form' => FALSE,
    ),
    'translatable' => 0,
    'type' => 'list_float',
    'widget' => array(
      'active' => 1,
      'module' => 'options',
      'settings' => array(
        'maxlength_js_label' => 'Content limited to @limit characters, remaining: <strong>@remaining</strong>',
      ),
      'type' => 'options_select',
      'weight' => 2,
    ),
  );

  // Exported field_instance: 'taxonomy_term-countries-field_vat_rate'
  $field_instances['taxonomy_term-countries-field_vat_rate'] = array(
    'bundle' => 'countries',
    'default_value' => NULL,
    'deleted' => 0,
    'description' => '',
    'display' => array(
      'default' => array(
        'label' => 'above',
        'module' => 'list',
        'settings' => array(),
        'type' => 'list_default',
        'weight' => 0,
      ),
    ),
    'entity_type' => 'taxonomy_term',
    'field_name' => 'field_vat_rate',
    'label' => 'Default VAT rate',
    'required' => 0,
    'settings' => array(
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'active' => 1,
      'module' => 'options',
      'settings' => array(),
      'type' => 'options_select',
      'weight' => 1,
    ),
  );

  // Exported field_instance: 'taxonomy_term-service_category_terms-field_allow_grouping'
  $field_instances['taxonomy_term-service_category_terms-field_allow_grouping'] = array(
    'bundle' => 'service_category_terms',
    'comment_enabled' => 0,
    'default_value' => array(
      0 => array(
        'value' => 1,
      ),
    ),
    'deleted' => 0,
    'description' => '',
    'display' => array(
      'default' => array(
        'label' => 'above',
        'module' => 'list',
        'settings' => array(),
        'type' => 'list_default',
        'weight' => 1,
      ),
    ),
    'entity_type' => 'taxonomy_term',
    'field_name' => 'field_allow_grouping',
    'label' => 'Allow grouping',
    'required' => 0,
    'settings' => array(
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'active' => 1,
      'module' => 'options',
      'settings' => array(
        'display_label' => 0,
      ),
      'type' => 'options_onoff',
      'weight' => 33,
    ),
  );

  // Exported field_instance: 'taxonomy_term-service_category_terms-field_is_default_term'
  $field_instances['taxonomy_term-service_category_terms-field_is_default_term'] = array(
    'bundle' => 'service_category_terms',
    'comment_enabled' => 0,
    'default_value' => array(
      0 => array(
        'value' => 0,
      ),
    ),
    'deleted' => 0,
    'description' => '',
    'display' => array(
      'default' => array(
        'label' => 'above',
        'module' => 'list',
        'settings' => array(),
        'type' => 'list_default',
        'weight' => 0,
      ),
    ),
    'entity_type' => 'taxonomy_term',
    'field_name' => 'field_is_default_term',
    'label' => 'Is default',
    'required' => 0,
    'settings' => array(
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'active' => 1,
      'module' => 'options',
      'settings' => array(
        'display_label' => 0,
      ),
      'type' => 'options_onoff',
      'weight' => 32,
    ),
  );

  // Translatables
  // Included for use with string extractors like potx.
  t('Add a field for selecting the currency');
  t('Allow grouping');
  t('Budget time billing');
  t('Budgets');
  t('Choose if timetrackings are billable within a budget or not. If not they will only billed if budget is empty and there is a price set.');
  t('Contractor');
  t('Currency');
  t('Default VAT rate');
  t('Expense category');
  t('Is default');
  t('Price');
  t('Price mode');
  t('Purchase Price');
  t('Purchase Tax - VAT');
  t('Purchase currency');
  t('Service category');
  t('Tax - VAT');
  t('The contractor for the purchase');
  t('The fixed price for the purchase');
  t('Vat rate for invoicing');

  return $field_instances;
}
